# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "twitter4r"
  s.version = "0.7.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Susan Potter"]
  s.autorequire = "twitter"
  s.date = "2011-07-11"
  s.email = "twitter4r-users@googlegroups.com"
  s.executables = ["t4rsh", "t4r-oauth-access"]
  s.extra_rdoc_files = ["README", "CHANGES", "TODO", "MIT-LICENSE"]
  s.files = ["lib/twitter/extras.rb", "lib/twitter/version.rb", "lib/twitter/client/status.rb", "lib/twitter/client/timeline.rb", "lib/twitter/client/trends.rb", "lib/twitter/client/search.rb", "lib/twitter/client/graph.rb", "lib/twitter/client/favorites.rb", "lib/twitter/client/friendship.rb", "lib/twitter/client/messaging.rb", "lib/twitter/client/account.rb", "lib/twitter/client/profile.rb", "lib/twitter/client/user.rb", "lib/twitter/client/base.rb", "lib/twitter/client/blocks.rb", "lib/twitter/client/auth.rb", "lib/twitter/ext/stdlib.rb", "lib/twitter/ext.rb", "lib/twitter/core.rb", "lib/twitter/console.rb", "lib/twitter/client.rb", "lib/twitter/meta.rb", "lib/twitter/model.rb", "lib/twitter/config.rb", "lib/twitter.rb", "spec/twitter/version_spec.rb", "spec/twitter/client/friendship_spec.rb", "spec/twitter/client/blocks_spec.rb", "spec/twitter/client/graph_spec.rb", "spec/twitter/client/trends_spec.rb", "spec/twitter/client/search_spec.rb", "spec/twitter/client/auth_spec.rb", "spec/twitter/client/account_spec.rb", "spec/twitter/client/user_spec.rb", "spec/twitter/client/favorites_spec.rb", "spec/twitter/client/messaging_spec.rb", "spec/twitter/client/profile_spec.rb", "spec/twitter/client/base_spec.rb", "spec/twitter/client/timeline_spec.rb", "spec/twitter/client/status_spec.rb", "spec/twitter/extras_spec.rb", "spec/twitter/ext/stdlib_spec.rb", "spec/twitter/model_spec.rb", "spec/twitter/client_spec.rb", "spec/twitter/core_spec.rb", "spec/twitter/meta_spec.rb", "spec/twitter/config_spec.rb", "spec/twitter/console_spec.rb", "bin/t4rsh", "bin/t4r-oauth-access", "README", "CHANGES", "TODO", "MIT-LICENSE"]
  s.homepage = "http://twitter4r.rubyforge.org"
  s.require_paths = ["lib"]
  s.required_ruby_version = Gem::Requirement.new(">= 1.8.6")
  s.requirements = ["Ruby 1.8.6+", "json gem, version 0.4.3 or higher", "jcode (for unicode support)"]
  s.rubyforge_project = "twitter4r"
  s.rubygems_version = "1.8.23"
  s.summary = "A clean Twitter client API in pure Ruby. Will include Twitter add-ons also in Ruby."

  if s.respond_to? :specification_version then
    s.specification_version = 3

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<json>, [">= 1.1.1"])
      s.add_runtime_dependency(%q<oauth>, [">= 0.4.1"])
    else
      s.add_dependency(%q<json>, [">= 1.1.1"])
      s.add_dependency(%q<oauth>, [">= 0.4.1"])
    end
  else
    s.add_dependency(%q<json>, [">= 1.1.1"])
    s.add_dependency(%q<oauth>, [">= 0.4.1"])
  end
end
